package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.TeacherUserDto;
import com.ym.mec.biz.dal.entity.Teacher;
import com.ym.mec.biz.dal.page.TeacherQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

public interface TeacherService extends BaseService<Integer, Teacher> {

    /**
     * 根据证件号查询老师信息
     * @param certificateNum 证件号
     * @return Teacher 老师信息
     */
    Teacher findByCertificateNum(String certificateNum);

    /**
     * 新增教师
     * @param teacher
     */
    void add(Teacher teacher) throws Exception;

    /**
     * 修改教师信息
     * @param teacher
     */
    void updateTea(Teacher teacher);

    /**
     * 分页查询教师列表
     * @param queryInfo
     * @return
     */
    PageInfo<Teacher> queryPageDetail(TeacherQueryInfo queryInfo);

    /**
     * 获取教师详情
     * @param id
     * @return
     */
    Teacher getDetail(Integer id);

    /**
     * @Author: Joburgess
     * @Date: 2019/9/24
     * 删除教师
     */
    void deleteTeacher(Long userId);
}